Skip to main content

Active Goals

Get active (non-completed) donation goals with progress.

GET
/goal/active
x-api-key<token>

API key used for authentication

In: header

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/goal/active"
{
  "goals": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "amount": 100000,
      "description": "New microphone",
      "isTimeBound": false,
      "startDate": null,
      "endDate": null,
      "isCompleted": false,
      "showOnEmbed": true,
      "progress": [
        {
          "total": 45000,
          "currency": "usd"
        }
      ],
      "createdAt": "2026-04-11T01:15:19.234Z",
      "updatedAt": "2026-04-11T01:15:19.234Z"
    }
  ]
}
{
  "error": "string",
  "code": "string",
  "details": {}
}